import { Selector, NodeInterface } from '../types/node';
import { ChangeInterface } from '../types/change';
import { EngineInterface, EngineOptions } from '../types/engine';
import { HistoryInterface } from '../types/history';
import { OTInterface } from '../types/ot';
import { HotkeyInterface } from '../types/hotkey';
import { CardInterface } from '../types/card';
import { TypingInterface } from '../types';
import Editor from '../editor';
import './index.css';
declare class Engine<T extends EngineOptions = EngineOptions> extends Editor<T> implements EngineInterface<T> {
    private _readonly;
    private _container;
    readonly kind = "engine";
    typing: TypingInterface;
    ot: OTInterface;
    change: ChangeInterface;
    history: HistoryInterface;
    hotkey: HotkeyInterface;
    get readonly(): boolean;
    set readonly(readonly: boolean);
    constructor(selector: Selector, options?: EngineOptions);
    isFocus(): boolean;
    isEmpty(): boolean;
    focus(toStart?: boolean): void;
    blur(): void;
    getValue(ignoreCursor?: boolean): string;
    getValueAsync(ignoreCursor?: boolean, callback?: (name: string, card?: CardInterface, ...args: any) => boolean | number | void): Promise<string>;
    getHtml(): string;
    initDocOnReadonly(): void;
    setValue(value: string, callback?: (count: number) => void): this;
    setHtml(html: string, callback?: (count: number) => void): this;
    setMarkdown(text: string, callback?: (count: number) => void): this;
    setJsonValue(value: Array<any>, callback?: (count: number) => void): this;
    getJsonValue(): string | (string | {})[] | undefined;
    normalize(container?: NodeInterface): void;
    showPlaceholder(): void;
    hidePlaceholder(): void;
    destroy(): void;
}
export default Engine;
