export interface ResizerInterface {
    on(eventType: string, listener: EventListener): void;
    off(eventType: string, listener: EventListener): void;
    setSize(width: number, height: number): void;
    maxWidth: number;
    render(): void;
    destroy(): void;
}
export declare type ResizerOptions = {
    imgUrl?: string;
    width: number;
    height: number;
    maxWidth: number;
    rate: number;
    onChange?: (size: Size) => void;
};
export declare type ResizerPosition = 'right-top' | 'left-top' | 'right-bottom' | 'left-bottom';
export declare type Point = {
    x: number;
    y: number;
};
export declare type Size = {
    width: number;
    height: number;
};
